package com.zsElectric.boot.common.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;

/**
 * 日志模块枚举
 *
 * @author Ray
 * @since 2.10.0
 */
@Schema(enumAsRef = true)
@Getter
public enum LogModuleEnum {

    EXCEPTION("异常"),
    LOGIN("登录"),
    USER("用户"),
    DEPT("部门"),
    ROLE("角色"),
    MENU("菜单"),
    DICT("字典"),
    SETTING("系统配置"),
    OTHER("其他"),
    PARKING("互联互通推送"),
    PARKING_CALL("互联互通调用"),
    STATION("充电站"),
    DEVICE("充电桩"),
    ORDER("后台订单"),
    APP_ORDER("APP订单"),
    APP_CHARGE_ORDER("充电订单"),
    APP_OTHER("APP其他操作"),
    ADMIN_ACTIONS("管理员操作"),
    ;

    @JsonValue
    private final String moduleName;

    LogModuleEnum(String moduleName) {
        this.moduleName = moduleName;
    }
}